/** @jsx jsx */
import { Link } from "gatsby"
import { jsx, useColorMode } from "theme-ui"
import replaceSlashes from "../utils/replaceSlashes"
import useSiteMetadata from "../hooks/use-site-metadata"
import useMinimalBlogConfig from "../hooks/use-minimal-blog-config"

const HeaderTitle = () => {
  const { siteTitle } = useSiteMetadata()
  const { basePath } = useMinimalBlogConfig()
  const { siteImage } = useSiteMetadata()
  const {siteDarkImage} = useSiteMetadata()
  const [colorMode, setColorMode] = useColorMode()
  const isDark = colorMode === `dark`

  return (
    <Link
      to={replaceSlashes(`/${basePath}`)}
      aria-label={`${siteTitle} - Back to home`}
      sx={{ color: `heading`, textDecoration: `none` }}
    >
      <img sx={{ mt:1 }} src={(isDark ? siteDarkImage : siteImage)}/>
    </Link>
  )
}

export default HeaderTitle
